Bug 198184 - ldd -r reports undefined symbols
ldd -r reports undefined symbols
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: tog-pegasus (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Vas Dias
:
Depends On:
Blocks: ldd-r-kh
  Show dependency treegraph
 
Reported: 2006-07-10 09:15 EDT by Karsten Hopp
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version: 2:2.5.2-2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-11-22 12:12:30 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Karsten Hopp 2006-07-10 09:15:06 EDT
Note: ldd can't handle dlopen'ed dependent libraries and these unresolved symbols
might be resolved by those. But this needs to be checked.
Reproducer: rpm -ql <packagename>| grep lib.*so | xargs ldd -r


tog-pegasus-2.5.1-10.FC6
undefined symbol: pthread_yield (/usr/lib/libpegclient.so.1)
undefined symbol: pthread_yield (/usr/lib/libpegexportclient.so.1)
undefined symbol: pthread_yield (/usr/lib/libpegcommon.so.1)
undefined symbol: pthread_create        (/usr/lib/libpegcommon.so.1)
undefined symbol: pthread_getspecific   (/usr/lib/libpegcommon.so.1)
undefined symbol: pthread_mutexattr_destroy     (/usr/lib/libpegcommon.so.1)
undefined symbol: pthread_key_create    (/usr/lib/libpegcommon.so.1)
undefined symbol: pthread_mutexattr_settype     (/usr/lib/libpegcommon.so.1)
undefined symbol: pthread_mutexattr_init        (/usr/lib/libpegcommon.so.1)
undefined symbol: pthread_mutex_trylock (/usr/lib/libpegcommon.so.1)
undefined symbol: pthread_join  (/usr/lib/libpegcommon.so.1)
undefined symbol: pthread_setspecific   (/usr/lib/libpegcommon.so.1)
Comment 1 Jason Vas Dias 2006-07-19 19:15:46 EDT
now fixed in CVS

Note You need to log in before you can comment on or make changes to this bug.